clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::FormattingOptions Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::FormattingOptions:
[legend]

## Public Attributes
int | tabSize = 0
| Size of a tab in spaces. More...
bool | insertSpaces = false
| Prefer spaces over tabs. More...

## Detailed Description

Definition at line 508 of file Protocol.h.

## Member Data Documentation

## ◆ insertSpaces

bool clang::clangd::FormattingOptions::insertSpaces = false

Prefer spaces over tabs.

Definition at line 513 of file Protocol.h.

Referenced by clang::clangd::fromJSON(), and clang::clangd::toJSON().

## ◆ tabSize

int clang::clangd::FormattingOptions::tabSize = 0

Size of a tab in spaces.

Definition at line 510 of file Protocol.h.

Referenced by clang::clangd::fromJSON(), and clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h